
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>从TTF字体中字模信息 / iVAN</title>

    <meta name="description" content="从TTF字体中字模信息 1.引言 传统上的字模信息一般都是从点阵字体中得到的.然而,点阵字体有一个致命的缺点就是字模信息大小固定,放大字体将产生严重的锯齿形失真.本文介绍了一种利用VC从TTF字体中直接获取字符的字模信息的方法,所获取的字模信息可以达到近似无限的分辨率,可选择2级.5级.17级和65级等多种灰度级,最终将字模信息保存为BMP位图文件格式,方便对字模信息的利用. 2.TTF介绍 TTF是Microsoft公司和Apple公司共同推出的一种轮廓字体.TTF的主要其设计思想是:用一系列点构造字型轮廓,在此基础">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">从TTF字体中字模信息</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1、引言</p>
<p>传统上的字模信息一般都是从点阵字体中得到的。然而，点阵字体有一个致命的缺点就是字模信息大小固定，放大字体将产生严重的锯齿形失真。本文介绍了一种利用VC从TTF字体中直接获取字符的字模信息的方法，所获取的字模信息可以达到近似无限的分辨率，可选择2级、5级、17级和65级等多种灰度级，最终将字模信息保存为BMP位图文件格式，方便对字模信息的利用。</p>
<p>2、TTF介绍</p>
<p>TTF是Microsoft公司和Apple公司共同推出的一种轮廓字体。TTF的主要其设计思想是：用一系列点构造字型轮廓，在此基础上用一系列指令调节，使轮廓线变的平滑，从而得到良好的显示效果。TTF是一种矢量字体，可进行字体的无级放大，快速变形等，放大后的字体平常圆润，没有锯齿形失真。利用矢量字库进行字型变换，如平衡、缩放、旋转、 倾斜等，速度快，失真小，效果好，可产生高质量的汉字输出。由于windows操作系统的流行，TTF已成为字体显示的主流，其资源相当丰富，就windows自身就带有上百种TTF字体，网络上可供下载的字体资源大部分也是TTF格式。而反观传统的点阵字体，由于其资源相对较少，字体大小固定单一，在放大缩小时很困难，效果也不好，速度慢，字体单调，锯齿形失真严重，很难达到美观的要求。因而，利用TTF字体来替代点阵字体，以期获取更多种类、更多分辨率、更多灰度级的字模信息，满足社会上对字模信息的多样要求，便是十分必要的。</p>
<p>3、提取TTF字体中字符的字模信息</p>
<p>首先，把所要用的TTF字体库选入当前的DC(Device Context)设备上下文中</p>
<p><code>CFont newfont;<br />
　　newfont.CreateFont(m_intHeight,<br />
　　　　　　0,<br />
　　　　　　m_intAngle,<br />
　　　　　　0,<br />
　　　　　　m_intBold,<br />
　　　　　　m_bCheckItalic,<br />
　　　　　　0,<br />
　　　　　　0,<br />
　　　　　　DEFAULT_CHARSET,<br />
　　　　　　OUT_CHARACTER_PRECIS,<br />
　　　　　　CLIP_CHARACTER_PRECIS,<br />
　　　　　　DEFAULT_QUALITY,<br />
　　　　　　DEFAULT_PITCH|FF_DONTCARE,<br />
　　　　　　m_strFontName);　//m_strFontName为TTF字体名<br />
//m_intHeight设置字体的高度，值越大，最终获取的字模的分辨率越高。<br />
//m_intAngle设置字体的旋转角度,m_intBold设置字体的粗细程度<br />
//m_bCheckItalic设置字体为斜体与否<br />
　　CDC* pdc=m_ctlDisplay.GetDC();//获取控件m_ctlDisplay的DC<br />
　　CFont *poldfont=pdc-&gt;SelectObject(&amp;newfont);//将TTF字体对象选入控件m_ctlDisplay的DC中</code></p>
<p>接下来主要是利用Win32的API函数GetGlyphOutline()来提取TTF字体的字模信息</p>
<p><code>DWORD GetGlyphOutline(<br />
　HDC hdc,　// DC句柄<br />
　UINT uChar,　// 要提取字模的字符<br />
　UINT uFormat,　// 函数返回的信息格式<br />
　LPGLYPHMETRICS lpgm,　// GLYPHMETRICS结构的指针<br />
　DWORD cbBuffer,　// 接收缓存的大小<br />
　LPVOID lpvBuffer,　// 接收缓存的地址<br />
　CONST MAT2 *lpmat2　 // MAT2结构的指针<br />
);</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 17:15:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%97%e4%bd%93/" title="字体">字体</a>, <a href="https://www.iamivan.net/tag/%e9%94%af%e9%bd%bf/" title="锯齿">锯齿</a>, <a href="https://www.iamivan.net/tag/%e8%bd%ae%e5%bb%93/" title="轮廓">轮廓</a>, <a href="https://www.iamivan.net/tag/%e4%bf%a1%e6%81%af/" title="信息">信息</a>, <a href="https://www.iamivan.net/tag/ttf/" title="TTF">TTF</a>, <a href="https://www.iamivan.net/tag/vc-ttf%e5%ad%97%e7%ac%a6%e8%bd%ae%e5%bb%93/" title="vc ttf字符轮廓">vc ttf字符轮廓</a>, <a href="https://www.iamivan.net/tag/%e7%82%b9%e9%98%b5/" title="点阵">点阵</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>从TTF字体中字模信息的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5N26Bz.html" rel="bookmark">字体-C&num;中如何判断TTF文件中是否包含某个字符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C#中如何判断TTF文件中是否包含某个字符 如图,所要实现的功能就是根据输入的文字,生成相应字体的图片预览,用的是Graphics.DrawString方法,但是遇到字体中没有的字符,会以其他字体显示出来,这里想要的功能就是如何判断字库文件里有没有这个字,如果没有统一替换成一个圆圈符号.没有头绪,网上看到用其他语言实现的,但是真的新手,不会调用,想知道C#下怎么实现这个功能. 解决方案 http://stackoverflow.com/questions/103725/is-there			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6e2LYb.html" rel="bookmark">TTF字体文件怎么安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1.若TTF文件关联程序如果没有出错,可以直接双击TTF文件,就会弹窗字体预览安装界面,点击[安装]即可安装字体.若打不开请参考后面的解决方法. 2.字体安装成功后,[安装]按钮为灰色,直接点击右上角的X关闭即可. TTF字体文件打不开解决方法 问题再现 若双击打开TTF文件提示&quot;该文件没有与之关联的程序来执行该操作.请安装一个程序,或者,如果已安装程序,请在&quot;默认程序&quot;控制面板中创建关联.&quot; 解决方法 1.在运行中打开Regedit.exe. 2.展开HKEY			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7jXOM.html" rel="bookmark">Win7系统下安装TTF字体文件的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  解决方法: 1.如果TTF文件关联程序没有出错,可直接双击TTF文件,在弹出的字体预览安装界面中,点击&quot;安装&quot;按钮进行字体安装. 2.字体安装成功后,&quot;安装&quot;按钮为灰色,直接点击关闭即可; Win7系统下安装TTF字体文件的方法介绍到这里,安装之后我们可以选择自己喜爱的字体了.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd6JOmb.html" rel="bookmark">win7系统如何自动安装TTF字体文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1.若TTF文件关联程序如果没有出错,可以直接双击TTF文件,就会弹窗字体预览安装界面,点击[安装]即可安装字体.若打不开请参考后面的解决方法.   2.字体安装成功后,[安装]按钮为灰色,直接点击右上角的X关闭即可.   TTF字体文件打不开解决方法 1.若双击打开TTF文件提示&quot;该文件没有与之关联的程序来执行该操作. 2.请安装一个程序,或者,如果已安装程序,请在&quot;默认程序&quot;控制面板中创建关联.&quot;   解决方法: 1.在运行中打开Regedit.exe; 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeNVbj.html" rel="bookmark">大神们！！百度地图api中标签信息的抓取啊。前js后C&num;。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 大神们!!百度地图api中标签信息的抓取啊.前js后C#. 是这样的,一个地图api的调用,我需要获取到百度地图api上的搜索出来的信息,可是获取不到啊啊啊... 解决方案 js版的百度地图还是其他版本的? js版本的,C#是运行于服务器端的,无法直接获取客户端的数据.js搜索后你自己即那个解码后的信息用ajax回发到服务器进行获取			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKQlEp.html" rel="bookmark">jsp mysql-jsp页面如何实现一个用mysql创建的表中的信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 jsp页面如何实现一个用mysql创建的表中的信息 这是我的jsp界面 &lt;%@ page language=&quot;java&quot; import=&quot;java.util.*&quot; pageEncoding=&quot;gb2312&quot;%&gt; My JSP 用户名: 密 码 &lt;/body&gt; &lt;/html&gt; 而且我的数据库也连接上了,连接代码放在src/com.ming.java/DB类中,我在数据库中还建了一张表格userinfo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM1oDrz.html" rel="bookmark">手机网站交互设计中的信息设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在手机上浏览信息,存在着太多的局限,手机屏幕小注定了一页不能显示太多的信息,环境光线的变化注定页面设计不能过于花哨,流量限制注定不能有太多的图片和样式. 如果让你的用户直接在手机上浏览为web所设计的网页,即使是经过一些手机浏览器的优化,体验还是会很糟糕,甚至有时候会让人难以忍受. 如何调整信息展现方式,使内容能在小屏幕的手机上也更友好的展现呢?接下来我将通过一些原理和实例来阐述自己的观点. 首先,老祖宗Ben Shneiderman的交互设计8项黄金法则我们要铭记于心,因为这些法则也是适用于移			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQyAZb.html" rel="bookmark">从文本文件中读取信息并存储入数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据|数据库 ''===================================================================''从文本文件中读取信息,取其中的一部分,并且将其插入到数据库中去--'' xhony@163.com'' version 1.0''===================================================================&lt;% dim fso,f1Const ForReading = 1 set fs			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm7QJjb.html" rel="bookmark">发现网页中的信息与交互</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				两周前,在一家知名互联网媒体公司做内部沙龙交流.有朋友问我,做为产品设计.用户体验师或交互设计师,在设计网站时有哪些事情要做? 互联网发展到现在,各种产品形态种类繁多,眼花缭乱.但再复杂的网站都是由页面构成的,而无论什么样的页面,都只有两样东西需要考虑:一种是让人看的元素;另一种是让人操作的元素.我这样的解释比较通俗,也并没有很好的把概念抽象出来,目的是为了方便记忆.&quot;让人用&quot;和&quot;让人操作&quot;这两件事情,就是我们常说的信息设计和交互设计. 信息设计: 互联网虽然是个虚			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGNEOp.html" rel="bookmark" class="title">凤凰重生：Photoshop打造美丽凤凰</a>
					<div>
						出处:eNet硅谷动力 文/泡开水滴鱼 先看一下效果: 首先要画个草稿. 哈哈真象个没毛的鸟-- ^_^ 画线稿的时候可以大胆一点,因为要做火焰效果,所以没必要太仔细,放心去吧--- 然后就是扫描,整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvaErb.html" rel="bookmark" class="title">ASP&period;NET页面事件：顺序与回传详解</a>
					<div>
						asp.net|详解|页面 一.初始化 ·当页面被提交请求第一个方法永远是构造函数.您可以在构造函数里面初始一些自定义属性或对象,不过这时候因为页面还没有被完全初始化所以多少会有些限制.特别地,您需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNmxWM.html" rel="bookmark" class="title">越狱搜索怎么用？</a>
					<div>
						  其实越狱搜索器使用方法很简单,只要把越狱搜索器搜索到的种子复制到迅雷下载即可. 越狱搜索器功能介绍: 1.重大技术更新,重写相关代码,搜索速度更加强劲,搜索结果更加人性化. 2.因技术问题,暂停了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7QNBb.html" rel="bookmark" class="title">mysql autocommit对myisam&comma;innodb的性能影响</a>
					<div>
						前段时间把数据库的部分myisam表转变成了innodb了,感觉慢了好多.我知道autocommit对innodb性能有一定的影响,但不知道影响有这么大.如何关闭autocommit,请参考MySQL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEg16p.html" rel="bookmark" class="title">寻帮助-如何改红米手机锁屏音效，有哪位大神帮我一下，我自己手机音效听腻了</a>
					<div>
						问题描述 如何改红米手机锁屏音效,有哪位大神帮我一下,我自己手机音效听腻了 如何改红米手机锁屏音效,有哪位大神帮我一下,我自己手机音效听腻了 解决方案 我的红米1S锁屏没有声音啊					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWXQxp.html" rel="bookmark" class="title">c语言-C语言用迭代法求平方根</a>
					<div>
						问题描述 C语言用迭代法求平方根 要求,输入一个正整数,计算平方根,计算到1-4e为止 不得使用现成的函数. 解决方案 http://blog.sina.com.cn/s/blog_47180e8f0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6L50b.html" rel="bookmark" class="title">北京云端时代公司桌面云 国产首发</a>
					<div>
						北京时间5月20日,北京云端时代公司桌面云产品发布会与第六届云计算大会在国家会议中心同时召开,这是中国企业第一次发布具有自主知识产权的桌面云软硬件系列产品,是国产桌面云发展的一个里程碑! 会议现场座无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR3lvz.html" rel="bookmark" class="title">Paludis 0&period;70&period;0发布 软件包管理器</a>
					<div>
						Paludis是一款用于Gentoo和Exherbo的多格式软件包管理器,它是由一个核心库和多个基于控制台的客户端组成.软件包支持的格式包括:Gentoo ebuilds.Exherbo exhere ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQZaWz.html" rel="bookmark" class="title">EMC公司进行SAN拆分 旨在解决更为细化的存储需求</a>
					<div>
						戴尔-EMC公司正在着手打造一套2 TIERS软件抽象层,旨在借此解决闪存之上一级存储数据与对象阵列中大规模之间愈发严重的分裂问题. 其起步解决方案是将SAN磁盘或者混合型闪存/磁盘阵列进一步拆分为多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo8Oyb.html" rel="bookmark" class="title">ios-iOS故事板上的textView有clear Button按钮吗&quest;</a>
					<div>
						问题描述 iOS故事板上的textView有clear Button按钮吗? 故事板上的textView有clear Button按钮吗?我想点击按钮把textView里面的字都删掉一个一个删太麻烦了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKEk0z.html" rel="bookmark" class="title">赛门铁克发现智能电视或面临感染勒索软件的威胁</a>
					<div>
						近期,赛门铁克研究人员针对新型智能电视进行实验研究,以了解其抵御网络攻击的能力.实验结果显示,被感染勒索软件的全新智能电视均遭受无法使用的后果.赛门铁克将通过本文揭示智能电视中的安全问题,包括遭受攻击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4jYLz.html" rel="bookmark" class="title">java正则截取出javascript中的json代码片段。</a>
					<div>
						问题描述 java正则截取出javascript中的json代码片段. 在做爬虫的时候,爬出一个页面大量包含 var aa = {json_aa}; var bb= {json_bbb}; var c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7Y8Jp.html" rel="bookmark" class="title">多家省级卫视猜谜节目涉嫌欺诈被叫停</a>
					<div>
						3月15日,河南省郑州市民王女士打开电视后非常高兴--因为令她郁闷了很久的电视&quot;有奖猜谜&quot;节目,在多家卫视台一下子都消失得无影无踪了. &quot;这个节目太骗人了!&quot;王 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4qVJz.html" rel="bookmark" class="title">智能家庭本周锋闻：家电联网路漫漫</a>
					<div>
						   智能家居的世界少了家电就不科学.如何让家电智能化迈开第一步,很多人认为是联网.于是,利用 Wi-Fi 模组改造传统家电的事业正轰轰烈烈地发展开去.这其中有嗅觉灵敏的互联网公司,有以 Wi-Fi  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RJJPz.html" rel="bookmark" class="title">php date&lpar;&rpar;转换mktime&lpar;&rpar;成可读日期</a>
					<div>
						php教程 date()转换mktime()成可读日期 date/time 函数允许您提取并格式化服务器上的日期和时间 mktime() 函数返回一个日期的 unix 时间戳. 参数总是表示 gmt  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo2GOM.html" rel="bookmark" class="title">不学点高阶函数，如何愉快的装逼！</a>
					<div>
						如果你开始接触函数式编程,你一定听说过高阶函数.在维基百科它的中文解释是这样的: 在数学和计算机科学中,高阶函数是至少满足下列一个条件的函数: 接受一个或多个函数作为输入 输出一个函数 看起它就是Ob ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnlPVM.html" rel="bookmark" class="title">读《CLR via C&num;》差点毁三观~</a>
					<div>
						问题描述 读了&lt;CLRviaC#&gt;后,知道了它的作者JeffreyRichter.真的是大神啊~书中有一段话差点毁了我的世界观,价值观和爱情观:&quot;虽然这样说很难让人信服,但许多人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YvAVz.html" rel="bookmark" class="title">label标签backcolor属性设置透明仍无法显示Picturebox中图片</a>
					<div>
						问题描述 我刚学VB.net不久.请问一下各位,我现在做了个小例子,label标签中backcolor属性已经设置透明,为什么仍然无法下面显示Picturebox中的图片,具体如图: 解决方案 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12yo3p.html" rel="bookmark" class="title">淘宝商城将于下周正式推出针对其他独立B2C的开放平台</a>
					<div>
						摘要: 9月16日,据消息人士披露,淘宝商城将于下周正式推出针对其他独立B2C的开放平台. 据悉,今年8月底,淘宝商城总裁张勇曾在北京密会20余家独立的B2C老总,并 9月16日,据消息人士披露,淘宝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZByjOz.html" rel="bookmark" class="title">Windows Phone 7整体电池续航表现欠佳</a>
					<div>
						尽管http://www.aliyun.com/zixun/aggregation/13466.html&quot;&gt;Windows Phone 7发布的时间不长,但是已经在部分国家和地区开卖, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G3PWp.html" rel="bookmark" class="title">一张电路图引发的网络营销变革</a>
					<div>
						眼下说到网络营销,不论是沿海发达地区企业,还是内地企业,都已经不陌生.早在四年之前,中国就已经号称有10万网络营销从业大军.随着中国互联网用户即将突破3亿,互联网这个巨大的市场吸引着无数企业蠢蠢欲动, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZB5Qb.html" rel="bookmark" class="title">利用Photoshop制作漂亮圣诞树效果教程</a>
					<div>
						最终效果 &lt;点小图查看大图&gt;   1.新建大小适当的文档,背景填充白色.打开圣诞树素材,拖进来,放好位置.     2.导入了一张圣诞花环的照片.       3.因为这张圣诞花环并没有背 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmoXOp.html" rel="bookmark" class="title">图文详解c&sol;c&plus;&plus;中的多级指针与多维数组&lowbar;C 语言</a>
					<div>
						前言 首先先声明一些常识,如果你对这些常识还不理解,请先去弥补一下基础知识:      1.实际上并不存在多维数组,所谓的多维数组本质上是用一维数组模拟的.      2.数组名是一个常量(意味着不允 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOPNJb.html" rel="bookmark" class="title">ios-SQLite添加项目到数据库</a>
					<div>
						问题描述 SQLite添加项目到数据库 动态添加项目到SQlite数据库失败: -(void) addPatientToDatabase:(Patient *)newPatient { NSArray ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO8mVb.html" rel="bookmark" class="title">ReportView 转到报表功能无法在客户端实现求解</a>
					<div>
						问题描述 本来设计的点击字段可以转到另一张报表,在安装有VS2010的电脑上运行正常,但是到了没有安装VS2010的电脑上就不能点击字段,转到另一张报表了.在自己电脑上可以实现的.然后本来会跳转到结果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgExdEz.html" rel="bookmark" class="title">Gson如何解析数字标识的Json数组？</a>
					<div>
						问题描述 下面是服务器返回的JSON,想用Gson转换成对象,可是问题出现了:&quot;0&quot;:{...}和&quot;1&quot;:{...}的数组块是用数字做标识,我无法在javaBe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Y2KWb.html" rel="bookmark" class="title">首款智能双屏手机三星Continuum震撼开箱</a>
					<div>
						之前就和大家介绍过了这款智能双屏手机三星Continuum,该机的独特之处就在于主屏幕的下方还配备了一块1.8英寸.分辨率为96×480的智能副屏,能够让你在忙碌的工作.生活中不落下那些重要的事件.消 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWGZ1p.html" rel="bookmark" class="title">美容类网站内部优化四大技巧</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 对于资讯类网站,纯粹的流量将是一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdDA7p.html" rel="bookmark" class="title">中国网络游戏产业上演十年&OpenCurlyDoubleQuote;群英会&rdquo;</a>
					<div>
						本报讯 (陈光 记者王春)7月23日至26日,步入第十年的中国网络游戏产业在上海迎来第七届中国国际数码互动娱乐展览会(ChinaJoy). 本届ChinaJoy主题为&quot;迎接挑战,互利共赢,开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdZRxb.html" rel="bookmark" class="title">LTE基带芯片出货量首次超过50&percnt;</a>
					<div>
						Strategy Analytics手机元件技术服务最新发布的研究报告指出,2016年上半年,全球蜂窝基带处理器市场规模为105亿美元,比去年同期下降2%. 尽管竞争激烈,但高通仍以50%的收益份额引 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
